# Uses of Interface
org.eclipse.emf.compare.rcp.policy.ILoadOnDemandPolicy.Registry

Packages that use ILoadOnDemandPolicy.Registry
Package
Description
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.policy

## Uses of ILoadOnDemandPolicy.Registry in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return ILoadOnDemandPolicy.Registry
Modifier and Type
Method
Description
`ILoadOnDemandPolicy.Registry`
EMFCompareRCPPlugin.`getLoadOnDemandPolicyRegistry()`
Returns the registry of load on demand policies.

## Uses of ILoadOnDemandPolicy.Registry in org.eclipse.emf.compare.rcp.internal.policy

Classes in org.eclipse.emf.compare.rcp.internal.policy that implement ILoadOnDemandPolicy.Registry
Modifier and Type
Class
Description
`class`
`LoadOnDemandPolicyRegistryImpl`
A default implementation that uses a map internally.
Constructors in org.eclipse.emf.compare.rcp.internal.policy with parameters of type ILoadOnDemandPolicy.Registry
Modifier
Constructor
Description
``
`LoadOnDemandPolicyRegistryListener(ILoadOnDemandPolicy.Registry registry, String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log)`
Creates a new listener for the given `pluginID` and `extensionPointID`.